aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2020-04-07 08:18:47 +0200
committerTristan Gingold <tgingold@free.fr>2020-04-07 08:18:47 +0200
commitad7cd6279cccb149644ef124b3d46867afa66162 (patch)
tree245761c50f1dcc7a665a8e1252679667b38fca46
parentf2dd8b7a569fb1705e5d5113b75bb5a28006feec (diff)
downloadghdl-yosys-plugin-ad7cd6279cccb149644ef124b3d46867afa66162.tar.gz
ghdl-yosys-plugin-ad7cd6279cccb149644ef124b3d46867afa66162.tar.bz2
ghdl-yosys-plugin-ad7cd6279cccb149644ef124b3d46867afa66162.zip
Adjust test with incorrect value.
-rwxr-xr-xtestsuite/issues/pr61/testsuite.sh2
-rw-r--r--testsuite/issues/pr61/vector.vhdl2
2 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/issues/pr61/testsuite.sh b/testsuite/issues/pr61/testsuite.sh
index cbbaeda..d7d94d6 100755
--- a/testsuite/issues/pr61/testsuite.sh
+++ b/testsuite/issues/pr61/testsuite.sh
@@ -5,7 +5,7 @@ topdir=../..
run_yosys -q -p "ghdl vector.vhdl -e vector; dump -o vector.il"
-grep -q 0000000000000000000000000000000011111111111111111111111111111010 vector.il || exit 1
+#grep -q 0000000000000000000000000000000011111111111111111111111111111010 vector.il || exit 1
grep -q 0000000011111111111111111111111111111111111111111111111100000000 vector.il || exit 1
grep -q 1111111111111111111111111111111111111111111111111111111111111111 vector.il || exit 1
grep -q 0000111111111111111111111111111111111111111111111111111111110000 vector.il || exit 1
diff --git a/testsuite/issues/pr61/vector.vhdl b/testsuite/issues/pr61/vector.vhdl
index ea83bc2..4c0f4c9 100644
--- a/testsuite/issues/pr61/vector.vhdl
+++ b/testsuite/issues/pr61/vector.vhdl
@@ -15,5 +15,5 @@ begin
v1 <= x"0ffffffffffffff0";
v <= v1+(-1);
u1 <= x"00ffffffffffff00";
- u <= u1 +4294967290;
+ u <= u1 + (-6); -- +4294967290;
end synth;